Mark an inbox item as read
POST
/inbox/v1/notifications/{id}/read
const url = 'https://your-notavia-host/inbox/v1/notifications/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/read';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://your-notavia-host/inbox/v1/notifications/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/read \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string format: uuid
Responses
Section titled “ Responses ”Item marked read.
Media type application/json
object
id
string format: uuid
is_read
boolean
read_at
string format: date-time
Example generated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "is_read": true, "read_at": "2026-04-15T12:00:00Z"}Missing or invalid credentials.
Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
Example generated
{ "error": { "type": "example", "code": "example", "message": "example", "param": "example" }}Resource not found.
Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
Example generated
{ "error": { "type": "example", "code": "example", "message": "example", "param": "example" }}